package de.inovex.academy.hadoop.candy;

import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

public class ColorMapper extends Mapper<LongWritable, Text, Text, IntWritable> {

	private Text key = new Text();
	private static IntWritable one = new IntWritable( 1 );

	/**
	 *  in: ( byte-pos, "color  flavor  size  sizemm  batch  bag" )
	 *  out: ( color, 1 )
	 */
	@Override
	protected void map( LongWritable key, Text value, Context context ) 
			throws IOException, InterruptedException {
		String[] fields = value.toString().split( "\\t" );
		this.key.set( fields[0] );
		context.write( this.key, one );
	}

}
